from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XSvgParser(XInterface, Protocol):
    def getDecomposition(self, xSvgStream: XInputStream, aAbsolutePath: str) -> list[XPrimitive2D]: ...
    def getDrawCommands(self, xSvgStream: XInputStream, aAbsolutePath: str) -> Any: ...
